Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 21:34:33 +0300

> From: Howard Melman <[email-masked]>
> Date: Sun, 17 Apr 2022 14:09:25 -0400
> Cc: Robert Pluim <[email-masked]>,
>  Alan Third <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> I'm reading a lot about unicode and fontsets and trying to wrap
> my head around it.  I can't quite answer this yet, the font to display
> U+1F37D is Apple Color Emoji.  I get that emacs might not want
> to enable that font by default, but emacs does use it by default to show
> some emoji, though I don't see it listed when I do M-x describe-fontset.

The question is why didn't Emacs find that font when asked to display
U+1F37D, and why did that produce the "blank" display instead of the
expected tofu.

> > Okay, try with codepoints between D800 and DB7F: what does that produce?
> 
> I'm sorry I don't follow what you want me to do, can you be more specific?

"C-x 8 RET d800 RET" and tell what you get.